// DialogKundenAnzeigen.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "SteMaBank.h"
#include "DialogKundenAnzeigen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDialogKundenAnzeigen 


CDialogKundenAnzeigen::CDialogKundenAnzeigen(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogKundenAnzeigen::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogKundenAnzeigen)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void CDialogKundenAnzeigen::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogKundenAnzeigen)
	DDX_Control(pDX, IDC_LIST_KUNDENSTAMM, m_Kundenstamm);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogKundenAnzeigen, CDialog)
	//{{AFX_MSG_MAP(CDialogKundenAnzeigen)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDialogKundenAnzeigen 

BOOL CDialogKundenAnzeigen::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Kundenstamm.InsertColumn(0, "KundenID", LVCFMT_LEFT, 90,0);
	m_Kundenstamm.InsertColumn(1, "Name", LVCFMT_LEFT, 140,1);
	m_Kundenstamm.InsertColumn(2, "Vorname", LVCFMT_LEFT, 100,1);
	m_Kundenstamm.InsertColumn(3, "Geb.Dat", LVCFMT_LEFT, 100,1);

	showKundenList(theApp.GetSteMaBank()->get_Kundenstamm());

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben

	
	
}

CDialogKundenAnzeigen::showKundenList(const CArray<Kunde*,Kunde*>* kundenstamm )
{						
	Kunde* pKunde;
	int j=kundenstamm->GetSize();
	CString str;
	str.Format("%d",j);
	

	// alle Kunden laden und in Liste stellen
	for(int i = 0; i < kundenstamm->GetSize(); i++)
	{
		pKunde = kundenstamm->GetAt(i);
		m_Kundenstamm.InsertItem(i, pKunde->get_Kundennummer());
		m_Kundenstamm.SetItem(i, 1, LVIF_TEXT, pKunde->get_Name(), 0, 0, 0, 0);
		m_Kundenstamm.SetItem(i, 2, LVIF_TEXT, pKunde->get_Vorname(), 0, 0, 0, 0);
		m_Kundenstamm.SetItem(i, 3, LVIF_TEXT, pKunde->get_Geb_Dat(), 0, 0, 0, 0);
		
	}
}
