// DialogNewSparbuch.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "SteMaBank.h"
#include "DialogNewSparbuch.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDialogNewSparbuch 


CDialogNewSparbuch::CDialogNewSparbuch(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogNewSparbuch::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogNewSparbuch)
	m_erstelldat = 0;
	m_einlagenID = _T("");
	m_mineinzahlung = 0.0f;
	m_minverzinsg = 0.0f;
	m_minbestand = 0.0f;
	//}}AFX_DATA_INIT
}


void CDialogNewSparbuch::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogNewSparbuch)
	DDX_DateTimeCtrl(pDX, IDC_DATETIMEPICKER_ERSTELLDAT, m_erstelldat);
	DDX_Text(pDX, IDC_EDIT_EINLAGENID, m_einlagenID);
	DDX_Text(pDX, IDC_EDIT_MIN_EINZ, m_mineinzahlung);
	DDX_Text(pDX, IDC_EDIT_VERZINSUNG, m_minverzinsg);
	DDX_Text(pDX, IDC_EDITMINBESTAND, m_minbestand);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogNewSparbuch, CDialog)
	//{{AFX_MSG_MAP(CDialogNewSparbuch)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDialogNewSparbuch 

void CDialogNewSparbuch::OnOK() 
{
	UpdateData(TRUE);
	
	
	theApp.GetSteMaBank()->new_Einlage(SPARBUCH,theApp.GetSteMaBank()->get_reg_Kunde(),m_minverzinsg,m_minbestand,m_mineinzahlung);
		
	

	
	CDialog::OnOK();
}

BOOL CDialogNewSparbuch::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_erstelldat = CTime::GetCurrentTime();

	int ID = Einlage::get_LastEinlagenID()+1;
	m_einlagenID.Format("%3.3d",ID);

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}
