// MainFrm.h : Schnittstelle der Klasse CMainFrame
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__CC0D2A87_5AE2_11D3_ADDE_00E07D718621__INCLUDED_)
#define AFX_MAINFRM_H__CC0D2A87_5AE2_11D3_ADDE_00E07D718621__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"
#include "stdafx.h"
#include "SteMaBank.h"
#include "DialogAktKunde.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attribute
public:

	

// Operationen
public:
	CDialogAktKunde* GetAktKundeDlg(){return m_pAktKundenDlg;};
	

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementierung
public:
	void showAktKundenDlg();
	virtual ~CMainFrame();



#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // Eingebundene Elemente der Steuerleiste
	CStatusBar  m_wndStatusBar;
	CChildView    m_wndView;

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnAppAbout();
	afx_msg void OnKundenverwaltungNeuerkunde();
	afx_msg void OnKundenverwaltungKundeanmelden();
	afx_msg void OnKundenverwaltungKundenstamm();
	afx_msg void OnKundenverwaltungKundelschen();
	afx_msg void OnUpdateKunde(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEinlage(CCmdUI* pCmdUI);
	afx_msg void OnUpdateAuftraege(CCmdUI* pCmdUI);
	afx_msg void OnUpdateEinlagenverwaltung(CCmdUI* pCmdUI);
	afx_msg void OnEinlagenverwaltungNeueeinlageFestgeld();
	afx_msg void OnEinlagenverwaltungNeueeinlageSparbuch();
	afx_msg void OnEinlagenverwaltungNeueeinlageGiro();
	afx_msg void OnEinlagenverwaltungLschen();
	afx_msg void OnAuftragsverwaltungNeuAuszahlung();
	afx_msg void OnAuftragsverwaltungNeuBerweisung();
	afx_msg void OnAuftragsverwaltungNeuEinzahlung();
	afx_msg void OnKundenverwaltungBearbeiten();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CDialogAktKunde* m_pAktKundenDlg;
};



/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MAINFRM_H__CC0D2A87_5AE2_11D3_ADDE_00E07D718621__INCLUDED_)
