//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: CObject; Pseudo Package specification
//## Subsystem: <Top Level>
//## Source file: J:\sofwaretechnik\stemabank\CObject.h


#ifndef CObject_h
#define CObject_h 1

//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
//## end module.includes


//## begin module.additionalDeclarations preserve=yes
//## end module.additionalDeclarations


//## Class: CObject
//## Category: <Top Level>
//## Subsystem: <Top Level>
//## Persistence: Transient
//## Cardinality/Multiplicity: n


class CObject 
{
  //## begin CObject.initialDeclarations preserve=yes
  //## end CObject.initialDeclarations

  public:
    //## Constructors (generated)
      CObject();

      CObject(const CObject &right);

    //## Destructor (generated)
      ~CObject();

    //## Assignment Operation (generated)
      const CObject & operator=(const CObject &right);

    //## Equality Operations (generated)
      int operator==(const CObject &right) const;

      int operator!=(const CObject &right) const;

    // Additional Public Declarations
      //## begin CObject.public preserve=yes
      //## end CObject.public


  protected:
    // Additional Protected Declarations
      //## begin CObject.protected preserve=yes
      //## end CObject.protected


  private:
    // Additional Private Declarations
      //## begin CObject.private preserve=yes
      //## end CObject.private


  private:  //## implementation
    // Additional Implementation Declarations
      //## begin CObject.implementation preserve=yes
      //## end CObject.implementation

};

// Class CObject 





#endif


