// DialogKundeAn.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "SteMaBank.h"
#include "DialogKundeAn.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDialogKundeAn 


CDialogKundeAn::CDialogKundeAn(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogKundeAn::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogKundeAn)
	m_KundenID = _T("");
	m_Name = _T("");
	m_Vorname = _T("");
	//}}AFX_DATA_INIT
}


void CDialogKundeAn::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogKundeAn)
	DDX_Control(pDX, IDC_BUTTON_ANMELDEN, m_Anmelden);
	DDX_Text(pDX, IDC_EDIT_KUNDENID, m_KundenID);
	DDV_MaxChars(pDX, m_KundenID, 4);
	DDX_Text(pDX, IDC_EDIT_NAME, m_Name);
	DDX_Text(pDX, IDC_EDIT_VORNAME, m_Vorname);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogKundeAn, CDialog)
	//{{AFX_MSG_MAP(CDialogKundeAn)
	ON_BN_CLICKED(IDC_BUTTON_ANMELDEN, OnButtonAnmelden)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDialogKundeAn 

void CDialogKundeAn::OnOK() 
{	
	UpdateData(TRUE);
	CheckInput();
	UpdateData(FALSE);
}



void CDialogKundeAn::OnButtonAnmelden() 
{	
	UpdateData(TRUE);
	if (CheckInput())
	{	
		theApp.GetSteMaBank()->set_reg_Kunde(m_pcheckKunde);
		UpdateData(FALSE);
	
		CDialog::OnOK();
		//Fenster der Daten des aktuellen Nutzers anzeigen
		theApp.GetMainFrame()->showAktKundenDlg();
	}
}

BOOL CDialogKundeAn::CheckInput()
{
	m_pcheckKunde = theApp.GetSteMaBank()->identify_Kunde(m_Name,m_Vorname,m_KundenID);

	if (m_pcheckKunde != NULL)
	{
		m_KundenID	= m_pcheckKunde->get_Kundennummer();
		m_Name		= m_pcheckKunde->get_Name();
		m_Vorname	= m_pcheckKunde->get_Vorname();
		return TRUE;
	}
	else 
	{
		AfxMessageBox("Kunde konnte nicht in Kundenstammm gefunden werden");
		return FALSE;
	}


}



