// DialogKundeNeu.cpp: Implementierungsdatei
//

#include "StdAfx.h"
#include "SteMaBank.h"
#include "DialogKundeNeu.h"
#include "MainFrm.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDialogKundeNeu 


CDialogKundeNeu::CDialogKundeNeu(Kunde* pKunde,CWnd* pParent /*=NULL*/)
	: CDialog(CDialogKundeNeu::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogKundeNeu)
	m_Anschrift = _T("");
	m_GebDat = _T("");
	m_KundenID = _T("");
	m_Name = _T("");
	m_Vorname = _T("");
	m_pKunde=pKunde;
	//}}AFX_DATA_INIT
}

void CDialogKundeNeu::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogKundeNeu)
	DDX_Text(pDX, IDC_EDIT_ANSCHRIFT, m_Anschrift);
	DDX_Text(pDX, IDC_EDIT_GEBDAT, m_GebDat);
	DDX_Text(pDX, IDC_EDIT_KUNDENID, m_KundenID);
	DDX_Text(pDX, IDC_EDIT_NAME, m_Name);
	DDX_Text(pDX, IDC_EDIT_VORNAME, m_Vorname);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogKundeNeu, CDialog)
	//{{AFX_MSG_MAP(CDialogKundeNeu)
	ON_BN_CLICKED(ID_BUTTON_INSERT, OnButtonInsert)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDialogKundeNeu 

void CDialogKundeNeu::OnButtonInsert() 
{

	UpdateData(TRUE);

	if ((m_Anschrift =="") || (m_GebDat == "") || (m_KundenID == "") || (m_Name == "") || (m_Vorname == "")) 
		{
			AfxMessageBox("Daten unvollstndig!");
			
		}
	else 
	{ m_pKunde->set_Name(m_Name);
	  m_pKunde->set_Vorname(m_Vorname);
	  m_pKunde->set_Geb_Dat(m_GebDat);
	  m_pKunde->set_Anschrift(m_Anschrift);
	if (theApp.GetSteMaBank()->identify_Kunde(m_Name,m_Vorname,m_KundenID)!=m_pKunde)	
			theApp.GetSteMaBank()->new_Kunde(m_pKunde);
			CDialog::OnOK();
		}
	
}

BOOL CDialogKundeNeu::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	//KundenID generieren und ausgeben
	m_KundenID = m_pKunde->get_Kundennummer();
	m_Name = m_pKunde->get_Name();
	m_Vorname = m_pKunde->get_Vorname();
	m_GebDat = m_pKunde->get_Geb_Dat();
	m_Anschrift = m_pKunde->get_Anschrift();
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}
