// DialogNewFestgeld.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "SteMaBank.h"
#include "DialogNewFestgeld.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDialogNewFestgeld 


CDialogNewFestgeld::CDialogNewFestgeld(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogNewFestgeld::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogNewFestgeld)
	m_erstelldat = 0;
	m_einlagenID = _T("");
	m_verzinsg = 0.0f;
	m_laufzeit = 0;
	//}}AFX_DATA_INIT
}


void CDialogNewFestgeld::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogNewFestgeld)
	DDX_DateTimeCtrl(pDX, IDC_DATETIMEPICKER_ERSTELLDAT, m_erstelldat);
	DDX_Text(pDX, IDC_EDIT_EINLAGENID, m_einlagenID);
	DDV_MaxChars(pDX, m_einlagenID, 8);
	DDX_Text(pDX, IDC_EDIT_VERZ, m_verzinsg);
	DDV_MinMaxFloat(pDX, m_verzinsg, 0.f, 100.f);
	DDX_Text(pDX, IDC_EDIT_LAUFZEIT, m_laufzeit);
	DDV_MinMaxInt(pDX, m_laufzeit, 0, 20);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogNewFestgeld, CDialog)
	//{{AFX_MSG_MAP(CDialogNewFestgeld)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDialogNewFestgeld 

void CDialogNewFestgeld::OnOK() 
{
	// TODO: Zustzliche Prfung hier einfgen
	
	CDialog::OnOK();
	if ((m_laufzeit>=0)&&(m_laufzeit<=20)&&(m_verzinsg>=0)&&(m_verzinsg<=100))
	theApp.GetSteMaBank()->new_Einlage(FESTGELD,theApp.GetSteMaBank()->get_reg_Kunde(),m_verzinsg,0,0,1,m_laufzeit);
}

BOOL CDialogNewFestgeld::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_erstelldat = CTime::GetCurrentTime();

	int ID = Einlage::get_LastEinlagenID()+1;
	m_einlagenID.Format("%3.3d",ID);

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}
