//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: Festgeld; Package body
//	Quellcodedatei
//## Subsystem: <Top Level>
//	Dateistruktur des Projektes mit Header- ud
//	Quellcodedateien
//	Erzeugte Dateien werden in MS-VC++ 6.0 Project
//	bernommen und dort ausprogrammiert
//	Der zustzlich  erzeugte Code bleibt auch nach
//	Hinzufgen von Komponenten im Modell erhalten!
//## Source file: c:\daten\uni\sofwaretechnik\stemabank\Festgeld.cpp


//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
#include "StdAfx.h"
#include "SteMaBank.h"
//## end module.includes

// Festgeld
#include "Festgeld.h"

//## begin module.declarations preserve=no
//## end module.declarations

//## begin module.additionalDeclarations preserve=yes
	IMPLEMENT_SERIAL(Festgeld, Einlage, 1)
//## end module.additionalDeclarations


// Class Festgeld 


Festgeld::Festgeld()
  //## begin Festgeld::Festgeld%.hasinit preserve=no
  //## end Festgeld::Festgeld%.hasinit
  //## begin Festgeld::Festgeld%.initialization preserve=yes
  //## end Festgeld::Festgeld%.initialization
{
  //## begin Festgeld::Festgeld%.body preserve=yes
  //## end Festgeld::Festgeld%.body
}

Festgeld::Festgeld(const Festgeld &right)
  //## begin Festgeld::Festgeld%copy.hasinit preserve=no
  //## end Festgeld::Festgeld%copy.hasinit
  //## begin Festgeld::Festgeld%copy.initialization preserve=yes
  //## end Festgeld::Festgeld%copy.initialization
{
  //## begin Festgeld::Festgeld%copy.body preserve=yes
  //## end Festgeld::Festgeld%copy.body
}


Festgeld::~Festgeld()
{
  //## begin Festgeld::~Festgeld%.body preserve=yes
  //## end Festgeld::~Festgeld%.body
}



//## Other Operations (implementation)
BOOL Festgeld::check(float Betrag)
{
  //## begin Festgeld::check%937474107.body preserve=yes
	CTime Time=CTime::GetCurrentTime();
	
	if ((Time<Laufzeit)&&((Betrag+get_Bestand())<0)||(get_Status()==FALSE)) 
		 return FALSE;
	else return TRUE;


  //## end Festgeld::check%937474107.body
}

float Festgeld::akt_Bestand(int Jahre)
{
  //## begin Festgeld::akt_Bestand%937734173.body preserve=yes
	int Dauer;
	if (Jahre==-1) 
		Dauer=get_Laufzeit();
	else
		Dauer=Jahre;
	return (get_Bestand()*pow((get_Verzinsung()/100+1),Dauer));
  //## end Festgeld::akt_Bestand%937734173.body
}

float Festgeld::zinsen(int Jahre)
{
  //## begin Festgeld::zinsen%937734174.body preserve=yes
	int Dauer;
	if (Jahre==-1) 
		Dauer=get_Laufzeit();
	else
		Dauer=Jahre;
	return (get_Bestand()*get_Verzinsung()*pow((get_Verzinsung()+1),(Dauer-1)));
  //## end Festgeld::zinsen%937734174.body
}

void Festgeld::Serialize(CArchive& ar)
{
  //## begin Festgeld::Serialize%937866642.body preserve=yes
	Einlage::Serialize( ar );

    if( ar.IsStoring() )
    {
		ar << Laufzeit;
	}
	else
	{
    	ar >> Laufzeit;
	}	
  //## end Festgeld::Serialize%937866642.body
}


// Additional Declarations
//## begin Festgeld.declarations preserve=yes
//## end Festgeld.declarations




