//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: Kunde; Package body
//	Quellcodedatei
//## Subsystem: <Top Level>
//	Dateistruktur des Projektes mit Header- ud
//	Quellcodedateien
//	Erzeugte Dateien werden in MS-VC++ 6.0 Project
//	bernommen und dort ausprogrammiert
//	Der zustzlich  erzeugte Code bleibt auch nach
//	Hinzufgen von Komponenten im Modell erhalten!
//## Source file: c:\daten\uni\sofwaretechnik\stemabank\Kunde.cpp


//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
#include "StdAfx.h"
#include "SteMaBank.h"
//## end module.includes

// Kunde
#include "Kunde.h"

//## begin module.declarations preserve=no
//## end module.declarations

//## begin module.additionalDeclarations preserve=yes
	IMPLEMENT_SERIAL(Kunde, CObject, 1)
//## end module.additionalDeclarations


// Class Kunde 






//## begin Kunde::LastKundenID.attr preserve=no  public: static int {U} 
int Kunde::LastKundenID;
//## end Kunde::LastKundenID.attr




Kunde::Kunde()
  //## begin Kunde::Kunde%.hasinit preserve=no
      : Name(""), Vorname(""), Geb_Dat(""), Anschrift("")
  //## end Kunde::Kunde%.hasinit
  //## begin Kunde::Kunde%.initialization preserve=yes
  //## end Kunde::Kunde%.initialization
{
  //## begin Kunde::Kunde%.body preserve=yes
	Einlagen=new CArray<EinlagenID,EinlagenID>;
	Transaktionen=new CArray<TransaktionsID,TransaktionsID>;

	LastKundenID++;
	Kundennummer.Format("%4.4d",LastKundenID);
  //## end Kunde::Kunde%.body
}

Kunde::Kunde(CString name, CString vorname, CString gebdat, CString anschrift)
  //## begin Kunde::Kunde%936893244.hasinit preserve=no
      : Name(""), Vorname(""), Geb_Dat(""), Anschrift("")
  //## end Kunde::Kunde%936893244.hasinit
  //## begin Kunde::Kunde%936893244.initialization preserve=yes
  //## end Kunde::Kunde%936893244.initialization
{
  //## begin Kunde::Kunde%936893244.body preserve=yes
	Einlagen=new CArray<EinlagenID,EinlagenID>;
	Transaktionen=new CArray<TransaktionsID,TransaktionsID>;

	LastKundenID++;
	Kundennummer.Format("%4.4d",LastKundenID);
	Name = name;
	Vorname = vorname;
	Anschrift = anschrift;
	Geb_Dat = gebdat;
  //## end Kunde::Kunde%936893244.body
}


Kunde::~Kunde()
{
  //## begin Kunde::~Kunde%.body preserve=yes
  //## end Kunde::~Kunde%.body
}



//## Other Operations (implementation)
BOOL Kunde::new_Einlage(EinlagenID EinlID)
{
  //## begin Kunde::new_Einlage%936879561.body preserve=yes
	if (Einlagen->Add(EinlID) >=0)
		return TRUE;
	else return FALSE;
  //## end Kunde::new_Einlage%936879561.body
}

BOOL Kunde::new_Transaktion(TransaktionsID TransID)
{
  //## begin Kunde::new_Transaktion%937432489.body preserve=yes
	if (Transaktionen->Add(TransID) >=0)
		return TRUE;
	else return FALSE;
  //## end Kunde::new_Transaktion%937432489.body
}

BOOL Kunde::del_Einlage(EinlagenID Einlage)
{
  //## begin Kunde::del_Einlage%937583335.body preserve=yes
	EinlagenID f_Einlage;
	for (int i=0;i<Einlagen->GetSize();i++)
	{
	f_Einlage=Einlagen->GetAt(i);
	if (Einlage=f_Einlage) 
	{
		Einlagen->RemoveAt(i,1);
		return TRUE;
	}
	}
	return FALSE;
  //## end Kunde::del_Einlage%937583335.body
}

BOOL Kunde::del_Transakt(TransaktionsID Transaktion)
{
  //## begin Kunde::del_Transakt%937583336.body preserve=yes
	return TRUE;
  //## end Kunde::del_Transakt%937583336.body
}

void Kunde::Serialize(CArchive& ar)
{
  //## begin Kunde::Serialize%937866639.body preserve=yes
	// Zuerst Vaterklasse seralisieren
    CObject::Serialize( ar );

    if( ar.IsStoring() )
    {
		ar << Name;
		ar << Vorname;
		ar << Kundennummer;
		ar << Anschrift;
		ar << Geb_Dat;
		ar << Einlagen->GetSize();
		for (int i=0; i < Einlagen->GetSize(); i++)
		{
			ar << Einlagen->GetAt(i);

		}
		ar << Transaktionen->GetSize();
		for (i=0; i < Transaktionen->GetSize(); i++)
		{
			ar << Transaktionen->GetAt(i);

		}
	}
	else
	{
    	ar >> Name;
		ar >> Vorname;
		ar >> Kundennummer;
		ar >> Anschrift;
		ar >> Geb_Dat;
		/////////////////////////////////////////
		int size;
		EinlagenID Einl_ID;
		
		ar >> size;
		for (int i=0; i < size; i++)
		{
			ar >> Einl_ID;
			Einlagen->Add(Einl_ID);
		}
		/////////////////////////////////////////
		TransaktionsID Tr_ID;
		
		ar >> size;
		for (i=0; i < size; i++)
		{
			ar >> Tr_ID;
			Transaktionen->Add(Tr_ID);
		}
	}	

  //## end Kunde::Serialize%937866639.body
}


// Additional Declarations
//## begin Kunde.declarations preserve=yes
//## end Kunde.declarations




