//## begin module.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module.cm

//## begin module.cp preserve=no
//## end module.cp

//## Module: Sparbuch; Package body
//	Quellcodedatei
//## Subsystem: <Top Level>
//	Dateistruktur des Projektes mit Header- ud
//	Quellcodedateien
//	Erzeugte Dateien werden in MS-VC++ 6.0 Project
//	bernommen und dort ausprogrammiert
//	Der zustzlich  erzeugte Code bleibt auch nach
//	Hinzufgen von Komponenten im Modell erhalten!
//## Source file: c:\daten\uni\sofwaretechnik\stemabank\Sparbuch.cpp


//## begin module.additionalIncludes preserve=no
//## end module.additionalIncludes

//## begin module.includes preserve=yes
#include "StdAfx.h"
#include "SteMaBank.h"
//## end module.includes

// Sparbuch
#include "Sparbuch.h"

//## begin module.declarations preserve=no
//## end module.declarations

//## begin module.additionalDeclarations preserve=yes
	IMPLEMENT_SERIAL(Sparbuch, Einlage, 1)
//## end module.additionalDeclarations


// Class Sparbuch 



Sparbuch::Sparbuch()
  //## begin Sparbuch::Sparbuch%.hasinit preserve=no
      : min_Bestand(0), min_Einzahlung(0)
  //## end Sparbuch::Sparbuch%.hasinit
  //## begin Sparbuch::Sparbuch%.initialization preserve=yes
  //## end Sparbuch::Sparbuch%.initialization
{
  //## begin Sparbuch::Sparbuch%.body preserve=yes
  //## end Sparbuch::Sparbuch%.body
}

Sparbuch::Sparbuch(const Sparbuch &right)
  //## begin Sparbuch::Sparbuch%copy.hasinit preserve=no
      : min_Bestand(0), min_Einzahlung(0)
  //## end Sparbuch::Sparbuch%copy.hasinit
  //## begin Sparbuch::Sparbuch%copy.initialization preserve=yes
  //## end Sparbuch::Sparbuch%copy.initialization
{
  //## begin Sparbuch::Sparbuch%copy.body preserve=yes
  //## end Sparbuch::Sparbuch%copy.body
}


Sparbuch::~Sparbuch()
{
  //## begin Sparbuch::~Sparbuch%.body preserve=yes
  //## end Sparbuch::~Sparbuch%.body
}



//## Other Operations (implementation)
BOOL Sparbuch::check(float Betrag)
{
  //## begin Sparbuch::check%937474106.body preserve=yes
	if ((get_Bestand()+Betrag<min_Bestand)||(Betrag>=0) && (Betrag<min_Einzahlung)||(get_Status()==FALSE))
		 return FALSE;
	else return TRUE;
  //## end Sparbuch::check%937474106.body
}

void Sparbuch::Serialize(CArchive& ar)
{
  //## begin Sparbuch::Serialize%937866643.body preserve=yes
	Einlage::Serialize( ar );

    if( ar.IsStoring() )
    {
		ar << min_Bestand;
		ar << min_Einzahlung;
	}
	else
	{
 		ar >> min_Bestand;
		ar >> min_Einzahlung;
	}	
  //## end Sparbuch::Serialize%937866643.body
}


// Additional Declarations
//## begin Sparbuch.declarations preserve=yes
//## end Sparbuch.declarations




